from django.db import models
# Create your models here.
import datetime
import os

from django.forms import FloatField, IntegerField


def filepath(request, filename):
    old_filename = filename
    timeNow = datetime.datetime.now().strftime('%Y%m%d%H:%M:%S')
    filename = "%s%s" % (timeNow, old_filename)
    return os.path.join('uploads/', filename)


# class adminlogin(models.Model):
#     name = models.TextField(max_length=191)
#     email = models.TextField(max_length=50)
#     password = models.TextField(max_length=500, null=True)
#     created_at = models.DateTimeField(auto_now_add=True)
#     updated_at = models.DateTimeField(auto_now_add=True)
#     date = models.DateField()

class Executive(models.Model):
    fname = models.CharField(max_length=30)
    lname = models.CharField(max_length=30)
    contact = models.CharField(max_length=12)
    email = models.EmailField()
    address = models.CharField(max_length=200)
    pannumber = models.CharField(max_length=20)
    adharnumber = models.CharField(max_length=15)
    panfile = models.FileField(upload_to='static/admin/exdocument')
    adharfrontfile = models.FileField(upload_to='static/admin/exdocument')
    adharbackfile = models.FileField(upload_to='static/admin/exdocument')
    password = models.CharField(max_length=100)
    status = models.IntegerField()
    executiveid = models.CharField(max_length=50, unique=True)
    staff = models.IntegerField()
    date = models.DateField()


class Login_tb(models.Model):
    name = models.TextField(max_length=191)
    email = models.TextField(max_length=50)
    password = models.TextField(max_length=500, null=True)
    staff = models.IntegerField()

class Top_category(models.Model):
     tcat_name = models.CharField(max_length=20)
     show_on = models.IntegerField()

class Mid_category(models.Model):
     mcat_name = models.CharField(max_length=20)
     tcat_id = models.IntegerField()

class End_category(models.Model):
     ecat_name = models.CharField(max_length=20)
     mcat_id = models.IntegerField()

class tbl_color(models.Model):
    color_name = models.CharField(max_length=255)

class tbl_size(models.Model):
    size_name = models.CharField(max_length=255)

class Seller(models.Model):
    first_name = models.CharField(max_length=30)
    last_name = models.CharField(max_length=30)
    contact = models.CharField(max_length=12)
    email = models.EmailField()
    shop_name = models.CharField(max_length=100)
    shop_address = models.CharField(max_length=200)
    shop_logo = models.FileField(upload_to='static/seller')
    pan_number = models.CharField(max_length=20)
    adhar_number = models.CharField(max_length=15)
    pancard_file = models.FileField(upload_to='static/seller')
    adhar_front_file = models.FileField(upload_to='static/seller')
    adhar_back_file = models.FileField(upload_to='static/seller')
    shop_gst_number = models.CharField(max_length=20)
    shop_pancard_number = models.CharField(max_length=15)
    shop_gst_file = models.FileField(upload_to='static/seller')
    shop_pancard_file = models.FileField(upload_to='static/seller')
    bank_check = models.FileField(upload_to='static/seller/bankcheck')
    password = models.CharField(max_length=100)
    seller_id = models.CharField(max_length=50, unique=True)
    reference_id = models.CharField(max_length=50)
    date = models.DateField()
    status = models.IntegerField()
    top_cat_id = models.IntegerField()
    pancard_status = models.CharField(max_length=50,default="Pending")
    aadhaar_status = models.CharField(max_length=50,default="Pending")
    gst_status = models.CharField(max_length=50,default="Pending")
    bankcheck_status = models.CharField(max_length=50,default="Pending")
    aadhaar_reason = models.CharField(max_length=255,default="")
    pancar_reason = models.CharField(max_length=255,default="")
    gst_reason = models.CharField(max_length=255,default="")
    bankchek_reason = models.CharField(max_length=255,default="")

class Product(models.Model):
    productName = models.CharField(max_length=100)
    currentPrice = models.FloatField()
    oldPrice = models.FloatField()
    quantity = models.IntegerField()
    discount = models.FloatField()
    topCat = models.CharField(max_length=50)
    midCat = models.CharField(max_length=50)
    endCat = models.CharField(max_length=50)
    size = models.CharField(max_length=500, blank=True)
    color = models.CharField(max_length=500, blank=True)
    skuId = models.CharField(unique=True, max_length=50)
    productImage = models.FileField(upload_to='static/product')
    otherProductImage = models.CharField(max_length=255, blank=True)
    description = models.TextField(blank=True)
    shortDescription = models.TextField(blank=True)
    features = models.TextField(blank=True)
    condition = models.TextField(blank=True)
    returnPolicy = models.TextField(blank=True)
    productFeature = models.IntegerField(default=0)
    status = models.IntegerField(default=0)
    sellerId = models.CharField(max_length=15)
    category = models.TextField()
    date = models.DateField()
    
class Main_banner(models.Model):
    title = models.CharField(max_length=255, blank=True)
    discount = models.IntegerField(blank=True)
    paragraph = models.CharField(max_length=255, blank=True)
    bannerImage = models.FileField(upload_to='static/banner')
    sellerId = models.CharField(max_length=15)
    status = models.IntegerField(default=0)
    date = models.DateField()

        



